%bcond_without dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global py_minor 16

%global python_major python%{py_major}

%global pkgname babel

%global srcname Babel

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        2.12.1
Release:        1
Summary:        Internationalization utilities
License:        BSD
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/b/%{pkgname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}
Requires:       %{python_major}-pytz >= 2019.3


%description
A collection of tools for internationalizing Python applications.


%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}
Requires:      python3-pytz >= 2019.3

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{srcname}-%{version}


%build
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install --root %{buildroot}


%check
%if %{with dotests}
export PYTHONPATH=${RPM_BUILD_ROOT}%{python3_sitearch}
%{python_major} -m venv python_venv
. ./python_venv/bin/activate
pip3.9 install freezegun
pip3.9 install pytest
./python_venv/bin/pytest -k 'not (babel.dates.format_time or babel.dates.get_timezone_name)' --ignore tests/test_dates.py
deactivate

%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%license LICENSE
%doc CHANGES.rst PKG-INFO README.rst docs
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)
#Empty


%changelog
* Tue Aug 22 2023 Reshma V Kumar<reskumar@in.ibm.com> - 2.12.1-1
- Update to version 2.12.1

* Sun Feb 26 2023 Reshma V Kumar<reskumar@in.ibm.com> - 2.7.0-2
- Babel for python3.9
